%define major 5
%define libname %mklibname mpcdec %{major}
%define develname %mklibname mpcdec -d

Summary:	Portable Musepack decoder library
Name:		libmpcdec
Version:	1.2.6
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://www.musepack.net/
Source:		http://files.musepack.net/source/%{name}-%{version}.tar.xz

%description
Portable Musepack decoder library.

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%doc AUTHORS README ChangeLog
%{_includedir}/*
%{_libdir}/%{name}.so


%changelog
* Tue May 02 2016 bb2 <bb2> 1.2.6-2pclos2017
- rebuild for 2017
